/*
 * File: Rainbow.java
 * ------------------
 * This program displays a rainbow by adding consecutively smaller
 * circles to the canvas.
 */

import acm.graphics.*;
import acm.program.*;
import java.awt.*;

public class Rainbow extends GraphicsProgram {

	public void run() {
		double cx = getWidth() / 2;
		double cy = 2 * getHeight();
		GRect sky = new GRect(0, 0, getWidth(), getHeight());
		sky.setFilled(true);
		sky.setColor(Color.CYAN);
		add(sky);
		double r = 1.8 * getHeight();
		GOval stripe = new GOval(cx - r, cy - r, 2 * r, 2 * r);
		stripe.setFilled(true);
		stripe.setColor(Color.RED);
		add(stripe);
		r = 0.97 * 1.8 * getHeight();
		stripe = new GOval(cx - r, cy - r, 2 * r, 2 * r);
		stripe.setFilled(true);
		stripe.setColor(Color.ORANGE);
		add(stripe);
		r = 0.94 * 1.8 * getHeight();
		stripe = new GOval(cx - r, cy - r, 2 * r, 2 * r);
		stripe.setFilled(true);
		stripe.setColor(Color.YELLOW);
		add(stripe);
		r = 0.91 * 1.8 * getHeight();
		stripe = new GOval(cx - r, cy - r, 2 * r, 2 * r);
		stripe.setFilled(true);
		stripe.setColor(Color.GREEN);
		add(stripe);
		r = 0.88 * 1.8 * getHeight();
		stripe = new GOval(cx - r, cy - r, 2 * r, 2 * r);
		stripe.setFilled(true);
		stripe.setColor(Color.BLUE);
		add(stripe);
		r = 0.85 * 1.8 * getHeight();
		stripe = new GOval(cx - r, cy - r, 2 * r, 2 * r);
		stripe.setFilled(true);
		stripe.setColor(Color.MAGENTA);
		add(stripe);
		r = 0.82 * 1.8 * getHeight();
		stripe = new GOval(cx - r, cy - r, 2 * r, 2 * r);
		stripe.setFilled(true);
		stripe.setColor(Color.CYAN);
		add(stripe);
	}

}
